> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/installation-setup/installation/microsoft-iis/update-upgrade.md).

# Update  / Upgrade

{% hint style="danger" %}
Before any upgrades Make sure to check that your maintenance date is later than the release date of the version of ngSurvey you wish to upgrade to. You may find your current maintenance date in the Configuration / About section of your setup. \
\
Also make sure to backup any existing files including database before proceeding with the upgrade process.
{% endhint %}

In order to update an existing installation of ngSurvey you may follow these steps

1. Download the latest release from [here](https://www.ngsurvey.com/on-premise-download).
2. Make sure that you have the latest [.NET 10 Hosting bundle](https://dotnet.microsoft.com/en-us/download/dotnet/thank-you/runtime-aspnetcore-10.0.2-windows-hosting-bundle-installer) installed.
3. Make a copy of the web.config of your IIS ngSurey folder and backup your database and files.
4. Delete all files in your existing IIS ngSurvey folder.
5. Unzip the new release downloaded in step 1 to your IIS ngSurvey folder.
6. Copy back the web.config to the IIS folder that you have backup in step 2.
7. That's it your ngSurvey has been upgraded to the latest version.

{% hint style="info" %}
Once you have replaced all the files ngSurvey will automatically upgrade your ngSurvey database that is configured in your web.config.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/installation-setup/installation/microsoft-iis/update-upgrade.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
